<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="organ_utilisateur_05_utilisateur"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Landscape"
		 pageWidth="842"
		 pageHeight="595"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="2"
		 bottomMargin="2"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="ORGID" isForPrompting="false" class="java.lang.Integer">
		<defaultValueExpression ><![CDATA[new Integer(1)]]></defaultValueExpression>
	</parameter>
	<parameter name="TOUT_ORG_LIKE" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["%"]]></defaultValueExpression>
	</parameter>
	<parameter name="TYAP_STRID_LIKE" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["%"]]></defaultValueExpression>
	</parameter>
	<parameter name="FON_ID_INTERNE_LIKE" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["%"]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[select * from (
SELECT org_id,nom_usuel,prenom, decode(x.fon_id_interne,'TOUTORG','1','0') as TOUT_ORG
FROM jefy_admin.utilisateur_organ uo, jefy_admin.utilisateur os,jefy_admin.v_individu_ulr i, 
(select utl_ordre, f.fon_id_interne from jefy_admin.utilisateur_fonct uf, jefy_admin.fonction f where uf.fon_ordre=f.fon_ordre and f.fon_id_interne='TOUTORG') x,
(select distinct utl_ordre from jefy_admin.utilisateur_fonct uf, jefy_admin.fonction f, jefy_admin.type_application 
ta where uf.fon_ordre=f.fon_ordre and f.tyap_id=ta.tyap_id and f.fon_id_interne like $P{FON_ID_INTERNE_LIKE} and tyap_strid like $P{TYAP_STRID_LIKE}) y
where       
uo.org_id = $P{ORGID} 
and uo.utl_ordre=os.utl_ordre 
and os.no_individu = i.NO_INDIVIDU
and os.utl_ordre=y.utl_ordre
and os.utl_ordre=x.utl_ordre(+)
) y
where y.tout_org like $P{TOUT_ORG_LIKE}
order by nom_usuel,prenom]]></queryString>

	<field name="ORG_ID" class="java.math.BigDecimal"/>
	<field name="NOM_USUEL" class="java.lang.String"/>
	<field name="PRENOM" class="java.lang.String"/>
	<field name="TOUT_ORG" class="java.lang.String"/>


		<group  name="org_id" >
			<groupExpression><![CDATA[$F{ORG_ID}]]></groupExpression>
			<groupHeader>
			<band height="17"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						x="0"
						y="2"
						width="567"
						height="15"
						key="staticText-2"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" leftPadding="4" rightBorder="None" rightBorderColor="#000000" rightPadding="4" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement>
						<font/>
					</textElement>
				<text><![CDATA[Utilisateur(s) autorisé(s)]]></text>
				</staticText>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="5"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="14"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="2"
						y="1"
						width="354"
						height="12"
						key="textField-1"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{NOM_USUEL} +  " " + $F{PRENOM}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
